﻿using PCUT.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Content Dialog item template is documented at https://go.microsoft.com/fwlink/?LinkId=234238

namespace PCUT.Pages
{
    public sealed partial class CategoryUpsertDialog : ContentDialog
    {
        private readonly UpsertCategoryViewModel _context;
        public CategoryUpsertDialog(string categoryId = null)
        {
            this.InitializeComponent();
            Title = categoryId is null ? "ADD CATEGORY" : "EDIT CATEGORY";
            _context = this.DataContext as UpsertCategoryViewModel;
            _context.Initialize(categoryId);
        }

        private async void ContentDialog_Opened(ContentDialog sender, ContentDialogOpenedEventArgs args)
        {
            await _context.LoadAsync();
        }
    }
}
